<?php

    lt_include( PLOG_CLASS_PATH."class/view/plugintemplatedview.class.php" );
    lt_include( MOBILE_PLOG_CLASS_PATH."class/net/terminalidentifier.class.php" );
	lt_include( PLOG_CLASS_PATH."class/data/timestamp.class.php" );
    
    class MobileView extends PluginTemplatedView
    {
        // used to store the terminal info
        var $_tInfo;
        
        function MobileView( $blogInfo, $tInfo, $templateName )
        {
            $this->_tInfo = $tInfo;
        
            $terminalTemplate = $this->_tInfo->getContent()."/".$templateName;
        
            $this->PluginTemplatedView( $blogInfo, 
                                        "mobile",
                                        $terminalTemplate, 
                                        SMARTY_VIEW_CACHE_DISABLED );
                                        
            // set the response type
            $this->setContentType( $this->_tInfo->getContentType());
            $this->setValue( "terminal", $this->_tInfo );
        }                
    }
?>